<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">

<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php wp_title(''); 
		if(wp_title('', false)) echo ' &laquo; ';
		bloginfo('name'); ?></title>
<meta name="description" content="<?php bloginfo('description'); ?>" />
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_directory'); ?>/print.css" type="text/css" media="print" />
<!--[if lt IE 7]><style type="text/css">@import "<?php bloginfo('stylesheet_directory'); ?>/IE60Fixes.css?61";</style><![endif]-->

<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php wp_get_archives('type=monthly&format=link'); ?>

<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/jquery.pack.js"></script>
<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/jquery.cookie.js"></script>
<?php wp_head(); ?>

<!-- remove those lines, they are just defaults -->
<script type="text/javascript">
$(document).ready(function() {
	if (postsShowFully == 0)
			postsShowFully = 4;
	if ($('.portlet.show').size() == 0) {
		$('.portlet:first').addClass('show');
		$('.portlet:last').addClass('show');
	}
});
</script>
<!-- don't remove after this lines -->

<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/general.js"></script>
</head>
<body>
<div id="container">

<div id="quicknav">
	<ul>
<?php 
$quicklinks = stripslashes(get_option('tomk32_quicklinks'));
if (!empty($quicklinks)) {
	$quicklinks = split("\n", $quicklinks);
	if ( is_array($quicklinks)) {
		foreach ($quicklinks as $link) {
			echo "		<li>$link</li>
";
		}
	}
}
?>
		<li><a href="#anavigation" title="<?php _e('Go down to page-navigation'); ?>"><?php _e('page navigation'); ?></a></li>
<?php /* we don't show this one when the meta is put in via widgets */
if (! function_exists('dynamic_sidebar')) : ?>
		<li><a href="#ameta" title="<?php _e('Go down to Meta/Login'); ?>"><?php _e('meta/login'); ?></a></li>
<?php endif; ?>
		<li><a href="#asidebar" title="<?php _e('Go down to Sidebar'); ?>"><?php _e('sidebar'); ?></a></li>
	<li><a href="#acontent" title="<?php _e('Go down to Content'); ?>"><?php _e('content'); ?></a></li>
	</ul>
	<a href="<?php bloginfo('rss_url'); ?>" title="RSS Feed"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/rss.png" width="16" height="16" alt="RSS Feed" /></a>
	<a href="mailto:<?php echo get_option('admin_email'); ?>" title="Send me a mail"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/mail.png" width="18" height="18" alt="Mail" /></a>
</div>

<div id="header">
	<h1><a href="<?php echo get_settings('home'); ?>" title="<?php _e('Back to the main page'); ?>"><?php bloginfo('name'); ?></a></h1>
	<div id="blog-description"><p><?php bloginfo('description'); ?></p></div>
</div>
<a name="acontent"></a>
<div id="column-content"<?php if (count($posts) > 1) echo ' class="multiple"'; ?>>
<div id="content">